<th:block th:insert="fragments/_head :: head"></th:block>

<th:block th:insert="fragments/_navbar :: navbar"></th:block>

<main class="container">
    <h1 class="mt-4">Manage users</h1>
    <div class="row my-4 px-3">
        <div class="col-md-6">
            <div class="text-start"><button class="btn btn-warning"><a th:href="@{/admin/account}">Retour</a></button></div>
        </div>
        <div class="col-md-6">
            <div class="text-end"><button class="btn btn-warning"><a th:href="@{/user-register/}">Add</a></button></div>
        </div>
    </div>
    <table class="table table-striped">
        <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Email</th>
                <th scope="col">Role</th>
                <th scope="col">Actions</th>
            </tr>
        </thead>
        <tbody>
            <tr th:each="user : ${users}">
                <td th:text="${user.id}"></td>
                <td th:text="${user.email}"></td>
                <td th:text="${user.role}"></td>
                <td>
                    <button class="btn btn-warning"><a th:href="@{/admin/delete-user/}+${user.id}">Delete</a></button>
            </tr>
        </tbody>
    </table>
</main>

<th:block th:insert="fragments/_footer :: footer"></th:block>